/**
 * www.sic-software.com
 * @file BootUpReceiver.java
 * @date 21.06.2012
 * @author fl
 * @brief See Javadoc for this class
 */
package com.sic.vishay.vcnl40x0.demo;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

/**
 * A BroadcastReceiver which is registered on android.intent.action.BOOT_COMPLETED action.
 * It's main purpose is, to start the application's MainActivity.
 */
public class BootUpReceiver extends BroadcastReceiver {

	@Override
	public void onReceive(Context context, Intent intent) {
//		Log.v("BootUpReceiver", "Device is up, starting MainActivity now...");
		Intent i = new Intent(context, MainActivity.class);  
        i.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        context.startActivity(i);
	}

}
